package fixtures

import (
	"fmt"
	"math/rand"

	"git.sapphic.engineer/roleypoly/v4/types"
)

var (
	CategoryMulti = types.Category{
		ID:    "multi",
		Name:  "Multi",
		Type:  types.CategoryMultiple,
		Roles: []string{RoleWithDarkColor.ID, RoleWithLightColor.ID, RoleWithoutColor.ID},
	}

	CategorySingle = types.Category{
		ID:    "single",
		Name:  "Single",
		Type:  types.CategorySingle,
		Roles: []string{RoleWithDarkColor.ID, RoleWithLightColor.ID, RoleWithoutColor.ID},
	}
)

func Category(base types.Category, name string) *types.Category {
	base.ID = fmt.Sprintf("%s-%d", base.ID, rand.Uint32())
	if name != "" {
		base.Name = name
	}
	return &base
}
